#!/usr/bin/env python
import coral ; metamodel=coral.lang.UML14      # import UML 1.4 metamodel
myModel=metamodel.Model()                 # create a Model
customer=metamodel.Class(name='Customer') # create a class
myModel.ownedElement.insert(customer) # when we add class to the model
assert(customer.namespace==myModel)   # the other association end
                                      # is updated automatically
